@echo off

rem Values of color attributes for FMT{:r (Format Start) printf.exe output operation
rem Copyright (C) Antonio Perez Ayala - 2022-2024

rem To set a foreground text color, just store one of these values in an integer
rem memory storage register and use such a register in FMT{:r delimiter mark

rem In order to also set a background color: enter text color, enter background color,
rem enter the BACKGR constant (=16), perform a multiplication and add the result to
rem foreground color. Use this final value for the color attribute.

rem For further details, enter:  COLOR /?  at the cmd.exe command prompt
rem The names of colors used here are the standard HTML color names

printf	BLACK(  0 )		GRAY(     8 )	^
	NAVY(   1 )		BLUE(     9 )	^
	GREEN(  2 )		LIME(    10 )	^
	TEAL(   3 )		AQUA(    11 )	^
	MAROON( 4 )		RED(     12 )	^
	PURPLE( 5 )		FUCHSIA( 13 )	^
	OLIVE(  6 )		YELLOW(  14 )	^
	SILVER( 7 )		WHITE(   15 )	^
		BACKGR( 16 )	^
   ""   LIME ]6  FMT{:6 "Lime letters\n" OUT FMT}  ^
	NAVY  WHITE BACKGR * + ]4  FMT{:4 "Navy letters on White background\n" OUT FMT} OUT

pause
